## Ranges

Ranges

## Synopsis

    int                 go_range_sum                        (double const *xs,
                                                             int n,
                                                             double *res);
    int                 go_range_sumsq                      (double const *xs,
                                                             int n,
                                                             double *res);
    int                 go_range_average                    (double const *xs,
                                                             int n,
                                                             double *res);
    int                 go_range_min                        (double const *xs,
                                                             int n,
                                                             double *res);
    int                 go_range_max                        (double const *xs,
                                                             int n,
                                                             double *res);
    int                 go_range_maxabs                     (double const *xs,
                                                             int n,
                                                             double *res);
    int                 go_range_devsq                      (double const *xs,
                                                             int n,
                                                             double *res);
    int                 go_range_suml                       (long double const *xs,
                                                             int n,
                                                             long double *res);
    int                 go_range_sumsql                     (long double const *xs,
                                                             int n,
                                                             long double *res);
    int                 go_range_averagel                   (long double const *xs,
                                                             int n,
                                                             long double *res);
    int                 go_range_minl                       (long double const *xs,
                                                             int n,
                                                             long double *res);
    int                 go_range_maxl                       (long double const *xs,
                                                             int n,
                                                             long double *res);
    int                 go_range_maxabsl                    (long double const *xs,
                                                             int n,
                                                             long double *res);
    int                 go_range_devsql                     (long double const *xs,
                                                             int n,
                                                             long double *res);

## Description

## Details

### go_range_sum ()

    int                 go_range_sum                        (double const *xs,
                                                             int n,
                                                             double *res);

`xs` : |
`n` : |
`res` : |
Returns : |

### go_range_sumsq ()

    int                 go_range_sumsq                      (double const *xs,
                                                             int n,
                                                             double *res);

`xs` : |
`n` : |
`res` : |
Returns : |

### go_range_average ()

    int                 go_range_average                    (double const *xs,
                                                             int n,
                                                             double *res);

`xs` : |
`n` : |
`res` : |
Returns : |

### go_range_min ()

    int                 go_range_min                        (double const *xs,
                                                             int n,
                                                             double *res);

`xs` : |
`n` : |
`res` : |
Returns : |

### go_range_max ()

    int                 go_range_max                        (double const *xs,
                                                             int n,
                                                             double *res);

`xs` : |
`n` : |
`res` : |
Returns : |

### go_range_maxabs ()

    int                 go_range_maxabs                     (double const *xs,
                                                             int n,
                                                             double *res);

`xs` : |
`n` : |
`res` : |
Returns : |

### go_range_devsq ()

    int                 go_range_devsq                      (double const *xs,
                                                             int n,
                                                             double *res);

`xs` : |
`n` : |
`res` : |
Returns : |

### go_range_suml ()

    int                 go_range_suml                       (long double const *xs,
                                                             int n,
                                                             long double *res);

`xs` : |
`n` : |
`res` : |
Returns : |

### go_range_sumsql ()

    int                 go_range_sumsql                     (long double const *xs,
                                                             int n,
                                                             long double *res);

`xs` : |
`n` : |
`res` : |
Returns : |

### go_range_averagel ()

    int                 go_range_averagel                   (long double const *xs,
                                                             int n,
                                                             long double *res);

`xs` : |
`n` : |
`res` : |
Returns : |

### go_range_minl ()

    int                 go_range_minl                       (long double const *xs,
                                                             int n,
                                                             long double *res);

`xs` : |
`n` : |
`res` : |
Returns : |

### go_range_maxl ()

    int                 go_range_maxl                       (long double const *xs,
                                                             int n,
                                                             long double *res);

`xs` : |
`n` : |
`res` : |
Returns : |

### go_range_maxabsl ()

    int                 go_range_maxabsl                    (long double const *xs,
                                                             int n,
                                                             long double *res);

`xs` : |
`n` : |
`res` : |
Returns : |

### go_range_devsql ()

    int                 go_range_devsql                     (long double const *xs,
                                                             int n,
                                                             long double *res);

`xs` : |
`n` : |
`res` : |
Returns : |